<div id="back_in_stock_notifications" class="tab_content">
	<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
	<h3>{$LANG.back_in_stock_notifications.module_title}</h3>
	<p>{$LANG.back_in_stock_notifications.module_description}</p>
	<fieldset><legend>{$LANG.back_in_stock_notifications.settings}</legend>
	  <div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>

	<fieldset><legend>{$LANG.back_in_stock_notifications.license_information}</legend>
		{$PLUGIN_LICENSE_KEY_HTML}
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)} {$PLUGIN_SUPPORT_ENDS}	{/if}
	</fieldset>

	  {$MODULE_ZONES}
	  <div class="form_control">
		  <input type="submit" name="save" value="{$LANG.common.save}" />
	  </div>
	  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
	</form>
</div>

<div id="pending_alerts" class="tab_content">
	<h3>{$LANG.back_in_stock_notifications.pending_notifications}</h3>

	{if isset($NOTIFY_SUBSCRIBED_PENDING) && is_array($NOTIFY_SUBSCRIBED_PENDING) && !empty(NOTIFY_SUBSCRIBED_PENDING)}
 	<table>
		<thead>
			<tr>
				<td>{$LANG.back_in_stock_notifications.total_pending}</td>
				<td>{$LANG.back_in_stock_notifications.product}</td>
				<td>{$LANG.back_in_stock_notifications.customers}</td>
			</tr>
		</thead>

		<tbody>
			{foreach from=$NOTIFY_SUBSCRIBED_PENDING item=$n}
				<tr>
					<td style="text-align: center;">
						{$n.total_customers_waiting}
					</td>

					<td>
						<a href="{$n.product_url}">{$n.name}</a>
					</td>

					<td>
						<ul>
							{if is_array($n.customers) && !empty($n.customers)}
								{foreach from=$n.customers item=$c}
									<li><a href="?_g=plugins&type=plugins&module=back_in_stock_notifications&bisact=del&cid={$c.customer_id}&pid={$n.product_id}#pending_alerts"><img src="{$STORE_URL}/modules/plugins/back_in_stock_notifications/images/delete.png" alt="delete" /></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="?_g=customers&action=edit&customer_id={$c.customer_id}">{$c.customer_name}</a></li>
									<br/>
								{/foreach}
							{/if}
						</ul>
					</td>
				</tr>
			{/foreach}
		</tbody>
	</table>
	{/if}
</div>

<div id="install_guide" class="tab_content">
	<h3>{$LANG.back_in_stock_notifications.install_guide}</h3>

	<p>The back in stock notification allows customers to subscribe to a product which is currently out of stock. Once that product becomes available emails are sent to customers who have subscribed to notify them. The email templates can be modified as required via the admin area -> Email Templates configuration.</p>

	<p style="font-weight: bold; font-size: 1.25em;">For this solution to work correctly you do need to setup a CRON job to run periodically. The cron job path is /modules/plugins/back_in_stock_notifications/cron/back_in_stock_notifications_cron.php. CRON jobs are scheduled via your hosting control panel. Schedule the job to run as frequently as needed, although we recommend running once every 2 or 3 hours or even outside of your normal business hours.</p>

	<p>This module requires no core code modifications within CubeCart but does require changes in your store theme to add the additional buttons for customers. The following changes are based on the CubeCart Foundation theme bundled with CubeCart version 6.2.9. The instructions may vary based on the theme you are using and you can modify the following code blocks as required to suit your own theme. The following steps are intended to be a starting point which you can then modify to suit your own requirements.</p>

	<p>All phrases and wording other than this install guide can be modified via the CubeCart language system. If you make changes remember you may need to clear your language cache via the Maintenance section of the admin area. </p>

	<p>This solution only allows customers to subscribe to stock notifications from the product page itself. With this in mind you may wish to make a few additional bespoke adjustments in your store theme. We suggest reviewing the phrasing and modifying it via the CubeCart language system which is used on the category page, &quot;Out of stock&quot; can be modified to &quot;Notify me when back in stock&quot; or similar.  The default language string to change is Catalogue -> out_of_stock_short. You may also wish to modify the out of stock notice on the category page (and other pages) to be a link to the product page itself to compliment the modified out of stock phrasing. We don't provide firm steps on this change because it varies for each customer and depends on how you want it to work in your store. Should you want to try the suggested change you need to review your content.category.php store theme file, and add hyperlinks where you find references to {literal}{$LANG.catalogue.out_of_stock_short}{/literal}</p>

	<p>open file &quot;/skins/founation/templates/element.product.call_to_action.php&quot; with your favourite text editor. Towards the end of the file FIND:</p>
	<textarea style="width:100%; height:60px;">{literal}
<link itemprop="availability" href="http://schema.org/OutOfStock" />
<p class="buy_button"><strong>{$LANG.catalogue.out_of_stock}</strong></p>
{/literal}</textarea>

	<p>ADD either before, after or REPLACE entirely with the following code block (Your choice depending on how you want it to present to the customer). This step adds a back in stock notification button to the product page<p>
	<textarea style="width:100%; height:250px;">{literal}
    {* Start out of stock notifications... *}
    {if isset($NOTIFY_LOGGED_IN) && $NOTIFY_LOGGED_IN == 1}
        {if isset($NOTIFY_SUBSCRIBED) && $NOTIFY_SUBSCRIBED == 1}
            <div class="small-12 columns"><a href="{$VAL_SELF}?regstocknotify=0&pid={$PRODUCT.product_id}" class="button postfix">{$LANG.back_in_stock_notifications.cancel_back_in_stock_notice}</a></div>
        {else}
            <div class="small-12 columns"><a href="{$VAL_SELF}?regstocknotify=1&pid={$PRODUCT.product_id}" class="button postfix">{$LANG.back_in_stock_notifications.email_when_back_in_stock}</a></div>
        {/if}
    {else if isset($NOTIFY_LOGGED_IN) && $NOTIFY_LOGGED_IN == 0}
        <div class="small-12 columns"><a href="{$STORE_URL}/login.html?regstocknotices=1&pid={$PRODUCT.product_id}" class="button postfix">{$LANG.back_in_stock_notifications.login_for_stock_notifications}</a></div>
    {/if}
    {* End out of stock notifications... *}
	{/literal}</textarea>


</div>